#include "windows.h"
#include <commctrl.h>
#include <commdlg.h>
#include <shlwapi.h>
#include "tooltips.h"




static TTItem *ttitems = NULL;


TTItem::~TTItem()
{
	DestroyWindow(hwnd);
}


TTItem::TTItem(HINSTANCE inst)
{
	hinst = inst;

	/* CREATE A TOOLTIP WINDOW */
	hwnd = CreateWindowEx(WS_EX_TOPMOST,
	    TOOLTIPS_CLASS,
	    NULL,
	    WS_POPUP | TTS_NOPREFIX | TTS_ALWAYSTIP,		
	    CW_USEDEFAULT,
	    CW_USEDEFAULT,
	    CW_USEDEFAULT,
	    CW_USEDEFAULT,
	    NULL,
	    NULL,
	    inst,
	    NULL
	    );

	SetWindowPos(hwnd,
	    HWND_TOPMOST,
	    0,
	    0,
	    0,
	    0,
	    SWP_NOMOVE | SWP_NOSIZE | SWP_NOACTIVATE);
}

	 
	 	
int TTItem::AddTool(HWND htool, char *txt)
{
    TOOLINFO ti;

    ti.cbSize = sizeof(TOOLINFO);
    ti.uFlags = TTF_SUBCLASS|TTF_IDISHWND;
    ti.hwnd = NULL;
    ti.hinst = hinst;
    ti.uId = (unsigned int)htool;
    ti.lpszText = txt;
    
    SendMessage(hwnd, TTM_ADDTOOL, 0, (LPARAM) (LPTOOLINFO) &ti);	

	 return TRUE;
} 


void TTItem::RemoveTool(HWND htool)
{
    TOOLINFO ti;

    ti.cbSize = sizeof(TOOLINFO);
    ti.uFlags = TTF_IDISHWND;
    ti.hwnd = NULL;
    ti.hinst = hinst;
    ti.uId = (unsigned int)htool;

    SendMessage(hwnd, TTM_DELTOOL, 0, (LPARAM) (LPTOOLINFO) &ti);	
}



